API referenceBank reconciliation
Invoices without a payment
Received invoices (pending_review, verified or exported) that no bank transaction is matched to.
GET
Received invoices (pending_review, verified or exported) that no bank transaction is matched to.
apiKeyheader
AuthorizationBearer <token>API key: gb_test_… or gb_live_…
limit?integerPage size, 1–100
Range
1 <= value <= 100Default
20cursor?stringnext_cursor of the previous page
Length
1 <= length <= 200from?stringDate on or after (YYYY-MM-DD)
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Format
dateto?stringDate on or before (YYYY-MM-DD)
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Format
dateGetbeel-Company?stringAct on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.
Format
uuidOK
application/json- response
object*stringdata*array<>has_more*booleannext_cursor*string|nullcurl -X GET 'https://www.getbeel.com/api/v1/unmatched/invoices'Example Response
{ "object": "list", "data": [ { "object": "received_invoice", "id": "string", "source": "email", "invoice_number": "string", "invoice_type": "invoice", "invoice_date": "2026-10-29", "due_date": "2026-10-29", "status": "verified", "payment_status": "string", "category": "string", "currency": "string", "amount_subtotal": "122.00", "amount_tax": "122.00", "amount_total": "122.00", "vendor": { "name": "string", "vat_number": "string", "email": "string", "country": "string", "city": "string", "address": "string" }, "reverse_charge": { "tipo_documento": "TD17", "status": "proposed", "reason": "non_eu_services", "deadline_basis": "receipt", "deadline": "2026-10-29" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string"}